import { Reporter } from "gatsby";
/**
 * TocEntry interface representing a table of contents entry
 */
export interface TocEntry {
    type: string;
    hash: string;
    title: string;
}
/**
 * Utility function to efficiently handle large table of contents arrays
 * by removing duplicates and optionally limiting size
 */
export declare const optimizeTocArray: (tocEntries: TocEntry[], reporter: Reporter, options?: {
    maxSize?: number;
    warnThreshold?: number;
    removeDuplicates?: boolean;
}) => TocEntry[];
